Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request POST \ --url https://alb.neural4d.com:3000/api/convertToFormat \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "uuid": "2dee04d4-f6e5-4fdf-b626-0f814e24db84", "modelType": "fbx", "modelSize": 2 } '
const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: JSON.stringify({uuid: '2dee04d4-f6e5-4fdf-b626-0f814e24db84', modelType: 'fbx', modelSize: 2})};fetch('https://alb.neural4d.com:3000/api/convertToFormat', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
import requestsurl = "https://alb.neural4d.com:3000/api/convertToFormat"payload = { "uuid": "2dee04d4-f6e5-4fdf-b626-0f814e24db84", "modelType": "fbx", "modelSize": 2}headers = { "Authorization": "Bearer <token>", "Content-Type": "application/json"}response = requests.post(url, json=payload, headers=headers)print(response.text)
200
converting
{ "statusType": 1, "modelSize": 2, "message": "The specified model format does not exist, converting now..." }
将已生成模型转换为目标格式,并返回下载链接。该操作消耗 10 点数。
使用 Neural4D 网站提供的 Bearer token。
需要转换的生成模型 UUID。
目标模型格式。
fbx
glb
obj
stl
blend
usdz
目标模型尺寸,单位为毫米。旧版文档说明该值必须大于 1。
x >= 2
格式转换结果
转换状态。0 表示已完成,1 表示仍在转换中,-1 表示请求无效或转换失败。
0
1
-1
转换状态消息。
转换完成后可用的模型下载链接。
转换完成后返回的缩放数值。
请求或中间响应中回显的模型尺寸。